### Method

# ECal ComponentBag add

since: 3.58

#### Declaration [src]

    void
    e_cal_component_bag_add (
      ECalComponentBag* self,
      ECalClient* client,
      ECalComponent* comp
    )

#### Description [src]

Adds a component into the bag. It’s possible to add the same component from the same client multiple times, in which case any previous occurrence is removed.

The component is identified by the client and its uid/rid.

Note this unsets any previously set user data on the item by the e_cal_component_bag_add_with_user_data().

Available since: 3.58

#### Parameters

`client`

  Type: `ECalClient`

  An `ECalClient`.

  The data is owned by the caller of the method.

`comp`

  Type: `ECalComponent`

  An `ECalComponent`.

  The data is owned by the caller of the method.